:root {
  --primary: #7add55;
  --secondary: #ff63e9;
  --tertiary: #000008;
  --white: #f6f7f8;
  --softwhite: #c0c0c0;
}

html {
  scroll-behavior: smooth;
}

body {
  background-color: var(--tertiary);
  margin: 40px auto;
  width: 70%;
}

h1 {
  color: var(--primary);
  font-size: 3.3em;
  font-family: 'Consolas', 'Arial', 'Sans-Serif';
  margin-bottom: 0;
}

.noPad {
  padding: 0px;
}

ul li a {
  color: var(--white);
  text-decoration: none;
  list-style: none;
  font-size: 2.5em;
  font-family: 'Consolas', 'Arial', 'Sans-Serif';
}

ul li a:hover {
  color: var(--secondary);
}

p {
  color: var(--softwhite);
  font-family: 'Sand-Serif';
  font-size: 1.2em;
}

nav {
  border-bottom: 2px solid var(--white);
}

footer {
  border-top: 2px solid var(--white);
}

nav ul,
footer ul {
  font-family: 'Consolas', 'Arial', 'Sans-Serif';
  list-style: none;
  padding: 0px;
  font-size: 10px;
}

nav ul li,
footer ul li {
  color: var(--white);
  display: inline;
  margin-right: 25px;
}

nav ul li a,
footer ul li a {
  color: var(--white);
  text-decoration: none;
}

.nav-right {
  float: right;
  margin-right: 25px;
}

.nav-right:hover {
  color: var(--white);
}

.copy {
  font-family: 'Consolas', 'Arial', 'Sans-Serif';
  font-size: 12px;
  color: var(--white);
}

#modules {
  min-height: 150px;
  border-width: 0px;
  margin-top: 10px;
  margin-bottom: 60px;
  padding: 0px;
  overflow: hidden;
}

.moduleButton {
  border-color: #6f6f6f;
  color: var(--white);
  text-decoration: none;
  border-radius: 5px;
  border-style: solid;
  border-width: 1px;
  text-align: center;
  margin-top: 5px;
  margin-right: 5px;
  padding: 5px;
  float: left;
}

.moduleButton:hover {
  color: var(--secondary);
  background-color: #151515;
  border-color: var(--white);
}

.moduleButton img {
  margin-top: 10px;
  max-height: 225px;
}

.buttonName {
  font-family: 'Consolas', 'Arial', 'Sans-Serif';
  font-size: 16px;
  margin-left: 8px;
  margin-right: 8px;
}

.buttonDescription {
  color: var(--softwhite);
  font-family: 'Sans-Serif', 'Arial';
  font-size: 12px;
}

.manualItem {
  display: inline-flex;
  margin-bottom: 10px;
  width: 98%;
  border: 1px solid #6f6f6f;
  border-radius: 6px;
}

.sticky {
  position: sticky;
  align-self: flex-start;
  top: 20px;
}

.manualItemImage {
  margin: 10px 10px;
  max-height: 90vh;
}

.manualItemText {
  margin: 0px 10px;
  float: right;
}

h3,
h4 {
  color: var(--white);
  font-family: 'Consolas', 'Arial', 'Sans-Serif';
  font-size: 25px;
}

h4 {
  font-size: 21px;
  margin-bottom: 5px;
}

.manualItemText p {
  font-size: 16px;
}

.moduleLinks {
  padding: 0px;
}

.moduleLinks li a {
  font-size: 16px;
}

.manualItemText ul {
  padding: 0px 20px;
  list-style-type: disc;
  color: var(--softwhite);
}

.manualItemText ul li p {
  margin-top: 0px;
  margin-bottom: 6px;
}

.manualItemText ul li ul {
  margin-top: 0px;
  margin-bottom: 15px;
  padding: 0px 40px;
  list-style-type: '-  ';
}

.manualItemText ul li ul li p {
  margin-top: 0px;
  margin-bottom: 0px;
}

.manualLink {
  text-decoration: none;
  color: var(--softwhite);
}

.manualLink:hover {
  color: var(--secondary);
}
